PHP Manual
Prev |  | Next

# HaruAnnotation::setIcon

(no version information, might be only in CVS)

HaruAnnotation::setIcon -- Set the icon style of the annotation

## Description

bool HaruAnnotation::setIcon ( int icon )

Defines the style of the annotation icon. This function may be used with text annotations only.

## Parameters

`icon`

  The style of the icon. Can take only these values:

  `HaruAnnotation::ICON_COMMENT`
  `HaruAnnotation::ICON_KEY`
  `HaruAnnotation::ICON_NOTE`
  `HaruAnnotation::ICON_HELP`
  `HaruAnnotation::ICON_NEW_PARAGRAPH`
  `HaruAnnotation::ICON_PARAGRAPH`
  `HaruAnnotation::ICON_INSERT`

## Return Values

Returns `TRUE` on success.

## Errors/Exceptions

Throws HaruException on error.

Prev | Home | Next
HaruAnnotation::setHighlightMode | Up | HaruAnnotation::setOpened